Package Details: snapper-git 0.4.5.git.1328.13fb9c1-1

Git Clone URL: https://aur.archlinux.org/snapper-git.git (read-only)
Package Base: snapper-git
Description: A tool for managing BTRFS and LVM snapshots. It can create, diff and restore snapshots and provides timelined auto-snapping.
Upstream URL: http://snapper.io
Licenses: GPL2
Conflicts: snapper
Provides: snapper
Submitter: teekay
Maintainer: Batou
Last Packager: NicoHood
Votes: 25
Popularity: 0.000120
First Submitted: 2012-01-31 19:54
Last Updated: 2017-04-25 17:55

Required by (4)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 Next › Last »

waynelloyd commented on 2013-06-02 21:23

After updating I got the following error running snapper "Failure (org.freedesktop.DBus.Error.Spawn.ExecFailed)." the path to snapperd needs updated in /usr/share/dbus-1/system-services/org.opensuse.Snapper.service from /usr/sbin/snapperd to /usr/bin/snapperd

waynelloyd commented on 2013-06-02 20:57

After updating I got the following error running snapper "Failure (org.freedesktop.DBus.Error.Spawn.ExecFailed)." the path to snapperd needs updated in /usr/share/dbus-1/system-services/org.opensuse.Snapper.service from /usr/sbin/snapperd to /usr/bin/snapperd

teekay commented on 2013-05-30 06:33

Done. Also fixed pam plugin install location and removed .la files.

bwrsandman commented on 2013-05-30 01:19

It would be prudent to move /usr/sbin/snapperd to /usr/bin before the devs merge the bin directories.
https://mailman.archlinux.org/pipermail/arch-dev-public/2013-May/024908.html

teekay commented on 2013-05-29 07:50

Aargh, fixed. Thanks erikw!

Also if you use a recent btrfs-git build, you need to uncomment the btrfs-master.patch in build()

erikw commented on 2013-05-28 20:12

/etc/cron.hourly/snapper and friends are looking for the snapper config at /etc/sysconfig/snapper but its placed under /etc/conf.d/snapper. So no timeline snapshots are taken!!

teekay commented on 2013-04-25 13:07

PS: Attention! The package now uses the new pkgver() function to create a sane version number. This causes a "downgrade".

teekay commented on 2013-04-25 10:47

@jpkotta: perfect, thanks! Package updated accordingly.

jpkotta commented on 2013-04-24 21:57

Does not build; fails with linker errors on libboost_system.so. Also, it seems to work fine with automake-1.13 (the current version in core), so I removed the dependency.

http://pastebin.com/5LZ8jv1h

teekay commented on 2013-03-31 19:10

@ AlatarQQ: thanks, fixed. One hack less, yay.

@ erikw: indeed very handy. I'll play with and maybe we could even include it in this package or something. I was always thinking of some sort of pacman hook to create a snapshot pre and post upgrade..

The package needs a rebuild after boost 1.53 upgrade (curr. in [testing]). Watch out!